# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    snakekeeper
%define version 0.6
%define release 1.2006mcnl
%define summary a reptile management system 
%define section More Applications/Other
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://liquidchile.net/software/snakekeeper/index.html
License:        GPL
Group:          Sciences/Biology
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        SnakeKeeper-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
SnakeKeeper is a reptile management system for KDE.  Its main goal is to facilitate the maintence and care of exotic reptilia.  Currently this includes:
Record of Animals
Record of Feedings
Record of Sheddings (or moltings)

%prep
rm -rf %{buildroot}
%setup -q -n SnakeKeeper-%{version}

%build 

%configure

%make

%install

%makeinstall

#icons
%define  nameicon src/hi64-app-Snakekeeper.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name" \
section="%section" \
title="Snake Keeper" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf %{buildroot}


%files 
%defattr(-,root,root,0755) 
%doc README AUTHORS THANKS COPYING NEWS TODO ChangeLog READMEicons.html

%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}
%{_datadir}/applnk/Utilities/snakekeeper.desktop
%{_docdir}/HTML/en/Snakekeeper

%changelog 

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6-1.102mcnl
Build for mandrivaclub.nl


